# $Id: crystal-svg.spec,v 1.1 2003/10/14 18:58:36 rexdieter Exp $

## kde-redhat macros
%define rhversion %(perl -pe '/(\\d+)\\.?(\\d)?/; $_="$1".($2||0)' /etc/redhat-release)

%define kdebase_ver 6:3.1

%define fedora_release .fdr.1

Name:	 crystal-svg
Summary: Crystal SVG KDE Icon set
Epoch:	 0
Version: 1.0 
Release: 0%{?fedora_release}
Group: 	 User Interface/Desktops	
License: LGPL
URL:	 http://linuxcult.com/forum/crystal.php
Source:  http://linuxcult.com/forum/crystal/Crystal_SVG.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Requires: kdebase >= %{kdebase_ver}

Obsoletes: crystal <= %{epoch}:%{version}

%{?!_icondir:%define _icondir	%{_datadir}/icons}
%{?!theme:%define theme %{name}}

%description
Crystal SVG KDE Icon set


%prep
%setup -q -n crystal 


%install
rm -rf $RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT%{_icondir}/%{theme}
cp -af index.desktop [0-9]* $RPM_BUILD_ROOT%{_icondir}/%{theme}

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/kdm/pics/users/
#install -m644 -p kdm/* $RPM_BUILD_ROOT%{_datadir}/apps/kdm/pics/users/


%clean
rm -rf $RPM_BUILD_ROOT 


%files
%defattr(0644,root,root,0755)
%{_icondir}/%{theme}
#%{_datadir}/apps/kdm/pics/users/*


%changelog
* Tue Oct 14 2003 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.1
- 1.0
